;**************************************************************
;* lib_ctc.h	CTC definitions Header
;*
;* Copyright (C) 2015,2016	Paul Daniels
;*
;* This program is free software: you can redistribute it and/
;* or modify it under the terms of the GNU General Public
;* License as published by the Free Software Foundation, either
;* version 3 of the License, or (at your option) any later
;* version.
;*
;* This program is distributed in the hope that it will be
;* useful, but WITHOUT ANY WARRANTY; without even the implied
;* warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
;* PURPOSE.  See the GNU General Public License for more
;* details.
;*
;* You should have received a copy of the GNU General Public
;* License along with this program. If not, see
;* <http://www.gnu.org/licenses/>.
;**************************************************************

		.IFNDEF LIB_CTC_H

		.EQU LIB_CTC_H	1

		.EQU CTC_PORT0	$08
		.EQU CTC_PORT1	$09
		.EQU CTC_PORT2	$0a
		.EQU CTC_PORT3	$0b

		.EQU CTC_VEC0	$fff0
		.EQU CTC_VEC1	$fff2
		.EQU CTC_VEC2	$fff4
		.EQU CTC_VEC3	$fff6

; Name:		CTC_RESET
; Function:	Reset CTC chip ready for custom interrupts
; On Entry:	None
; On Exit:	I = High byte of interrupt table ($FF).
;		CTC_PORT0 = low byte of interrupt table ($F0).
; Destroys:	A, B

; Name:		CTC_VDPINT
; Function:	Program CTC for VDP interupts on channel 0
; On Entry:	HL = Interrupt routine address
; On Exit:	None
; Destroys:	A

; Name:		CTC_INTCHN1
; Function:	Program CTC for 61hz interrupt on channel 1
; On Entry:	HL = Interrupt routine address
; On Exit:	None
; Destroys:	A

		.ENDIF
