;**************************************************************
;* lib_events.h	Standard definitions Header
;*
;* Copyright (C) 2015,2016	Paul Daniels
;*
;* This program is free software: you can redistribute it and/
;* or modify it under the terms of the GNU General Public
;* License as published by the Free Software Foundation, either
;* version 3 of the License, or (at your option) any later
;* version.
;*
;* This program is distributed in the hope that it will be
;* useful, but WITHOUT ANY WARRANTY; without even the implied
;* warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
;* PURPOSE.  See the GNU General Public License for more
;* details.
;*
;* You should have received a copy of the GNU General Public
;* License along with this program. If not, see
;* <http://www.gnu.org/licenses/>.
;**************************************************************

		.IFNDEF LIB_EVENTS_H

		.EQU LIB_EVENTS_H	1

; Name:		EVT_INIT
; Function:	Initialise event system
; On Entry:	None
; On Exit:	None
; Destroys:	A, HL, B

; Name:		EVT_CLR
; Function:	Clear event table
; On Entry:	None
; On Exit:	None
; Destroys:	A, HL, B

; Name:		EVT_SET
; Function:	Find a free event and set it.
; On Entry:	HL = Event address. DE = Event count.
; On Exit:	A = Event No
; Destroys:	HL, B, DE

; Name:		EVT_UNSET
; Function:	Clear an event.
; On Entry:	A = Event No
; On Exit:	A, DE, HL, B
; Destroys:	

; Name:		EVT_ISR
; Function:	Process Event table
;		Count down any set events and jump to event
;		address if any reach zero.
;		A = Event No if an event is called.
; On Entry:	None
; On Exit:	None
; Destroys:	A, B, DE, HL

.MACRO EVT_ADDEVENT
		ld hl, \1
		ld de, \2
		call EVT_SET
.ENDM

.MACRO EVT_DELEVENT
		ld a, \1
		call EVT_UNSET
.ENDM

		.ENDIF
